## com.baidubce
Class BceClientException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.baidubce.BceClientException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BceServiceException

    public class BceClientException

extends RuntimeException

Base exception class for any errors that occur on the client side when attempting to access a BCE service API.

For example, there is no network connection available or the network request is timeout, or the server returns an invalid response that the client is unable to parse, etc

Error responses from services will be handled as BceServiceExceptions.

See Also:
  `BceServiceException`, Serialized Form

Constructor Summary
`BceClientException(String message)` Constructs a new BceClientException with the specified detail message.
`BceClientException(String message, Throwable cause)` Constructs a new BceClientException with the specified detail message and the underlying cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BceClientException

    public BceClientException(String message)

  Constructs a new BceClientException with the specified detail message.

  Parameters:
    `message` - the detail error message.

### BceClientException

    public BceClientException(String message,
                              Throwable cause)

  Constructs a new BceClientException with the specified detail message and the underlying cause.

  Parameters:
    `message` - the detail error message.
    `cause` - the underlying cause of this exception.

Copyright © 2016. All rights reserved.